#ifndef ISNUVILOGGER_H
#define ISNUVILOGGER_H

#include <string>
#include <exception>

#include "code/Script.h"

class ISnuviLogger
{
public:
    virtual ~ISnuviLogger() = default;
    virtual void print(
            const std::string* message = nullptr, 
            const std::exception* ex = nullptr, 
            const std::string* function = nullptr, 
            const std::string* scriptname = nullptr, 
            const Script* sc = nullptr,
            int line = -1) = 0;
};

#endif

