#ifndef STRING_H
#define STRING_H

#include <cstddef>

class String final {
public:
    String();
    String(const char* str);
    String& operator+=(const char* str);
    String& operator+=(char c);
    String& operator+=(unsigned int i);
    String& operator+=(double d);
    String operator+(const char* str) const;
    operator const char*() const;
    
private:
    static constexpr size_t capacity = 4096;
    size_t usedCapacity;
    char path[capacity];
};

#endif